// Distributed under GNU General Public License (see license.txt for details).
//
//  Copyright (c) 2006 Shai Shalev-Shwartz and Yoram Singer.
//  All Rights Reserved.
//
// Bipartite Solver header file.
//

#ifndef BIPARTITE_SOLVER_H_
#define BIPARTITE_SOLVER_H_

#include "infra/infra.h"

void BipartiteSolver(infra::vector_view predictions, infra::vector_view gamma,
                     std::vector<int> &A, std::vector<int> &B, double norm_x,
                     double C, infra::vector_view new_alpha);

#endif
